Subject: [MOBILE-IP] simultaneous bindings

From: Karl Jonas <[email-masked]>
Date: Mon, 14 Feb 2000 16:41:34 +0100

Hello All,

is it possible to keep 'simultaneous registrations' in MIP, just by
not prohibiting them in the standard?

Simultaneous registrations are useful if the mobile terminal cannot
listen to multiple basestations all the time, but can switch to
a new basestation for a very short duration (enough to register).
In this case, the MT may want to register with a new address,
then keep listening to the old BS for a while, and switch to the
new BS permanently after it can assume that all trafic  follows the
new path.

karl

--
Karl Jonas, NEC C&C Research Labs
EMail: [email-masked]
Tel.:  +49.(0)6221.905 11 21
Fax:   +49.(0)6221.905 11 55
http://www.ccrle.nec.de/heidelberg/index.html

---

From: Stuart Card <[email-masked]>
Date: Mon, 14 Feb 2000 12:57:21 -0500

>a new basestation for a very short duration (enough to register).

Our R&D for the Air Force involves mobile LANs on aircraft.
These aircraft fly in and out of base station coverage areas.
They are frequently in overlapping footprints, for instance:

a Line-Of-Sight VHF radio link (low bandwidth) to a nearby airfield;

a Beyond-LOS HF radio link (very low bandwidth) to a distant base station;

and a SATCOM UHF radio link (low bandwidth and severe contention).

Since the aggregate bandwidth requirements of the various applications
on the flying LAN far exceed the bandwidth of even the fattest available
pipe, we need to concurrently route traffic over multiple wireless links
(via different basestations, implying via different IP gateways).

We _need_ multiple concurrent registrations, _both_ due to the momentary
on-again/off-again connectivity seen along the margins of radio footprints,
and due to our need to use any and all available links truly _concurrently_.

I haven't read the RFCs carefully enough to know exactly how much of what
we need to do will be supported by the base Mobile-IP standard, versus how
much we will need to implement with vendor extensions (per those provisions).

I would be happy to discuss this in greater detail if anyone is interested.

------------------------------------------------------------------------
Stuart W. Card, Chief Scientist & Vice-Pres., Critical Technologies Inc.
Suite 400 Technology Center, 4th Floor 1001 Broad Street, Utica NY 13501
315-793-0248   FAX -9710    <[email-masked]>   http://www.critical.com